<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>View report — report_view • rdb.report</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="View report — report_view"><meta name="description" content="Thin wrapper around quappo::view_output() that opens the rendered report in the specified output_format."><meta property="og:description" content="Thin wrapper around quappo::view_output() that opens the rendered report in the specified output_format."><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">rdb.report</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9016</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="nav-item"><a class="nav-link" href="../articles/rdb-report.html">Get started</a></li>
<li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/zdaarau/rpkgs/rdb.report/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-topic">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>View report</h1>
      <small class="dont-index">Source: <a href="https://gitlab.com/zdaarau/rpkgs/rdb.report/blob/HEAD/R/rdb.report.gen.R" class="external-link"><code>R/rdb.report.gen.R</code></a></small>
      <div class="d-none name"><code>report_view.Rd</code></div>
    </div>

    <div class="ref-description section level2">
    <p>Thin wrapper around <code><a href="https://quappo.rpkg.dev/reference/view_output.html" class="external-link">quappo::view_output()</a></code> that opens the rendered report in the specified <code>output_format</code>.</p>
    </div>

    <div class="section level2">
    <h2 id="ref-usage">Usage<a class="anchor" aria-label="anchor" href="#ref-usage"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span><span class="fu">report_view</span><span class="op">(</span></span>
<span>  profile <span class="op">=</span> <span class="fu">quappo</span><span class="fu">::</span><span class="fu"><a href="https://quappo.rpkg.dev/reference/default_profiles.html" class="external-link">default_profiles</a></span><span class="op">(</span><span class="op">)</span>,</span>
<span>  output_format <span class="op">=</span> <span class="cn">NULL</span>,</span>
<span>  host <span class="op">=</span> <span class="st">"127.0.0.1"</span>,</span>
<span>  port <span class="op">=</span> <span class="fl">3456L</span>,</span>
<span>  in_rstudio_viewer <span class="op">=</span> <span class="fu"><a href="https://rdrr.io/r/base/interactive.html" class="external-link">interactive</a></span><span class="op">(</span><span class="op">)</span></span>
<span><span class="op">)</span></span></code></pre></div>
    </div>

    <div class="section level2">
    <h2 id="arguments">Arguments<a class="anchor" aria-label="anchor" href="#arguments"></a></h2>


<dl><dt id="arg-profile">profile<a class="anchor" aria-label="anchor" href="#arg-profile"></a></dt>
<dd><p><a href="https://quarto.org/docs/projects/profiles.html" class="external-link">Quarto project profile(s)</a> to use. Either
a character vector of profile names or <code>NULL</code> to use the default profile.</p></dd>


<dt id="arg-output-format">output_format<a class="anchor" aria-label="anchor" href="#arg-output-format"></a></dt>
<dd><p>Quarto output format to open. If <a href="https://quarto.org/docs/reference/formats/html.html" class="external-link"><code>"html"</code></a>, a local HTTP server is launched
serving the projects's HTML output under <code>host</code> on the specified <code>port</code>.</p></dd>


<dt id="arg-host">host<a class="anchor" aria-label="anchor" href="#arg-host"></a></dt>
<dd><p>IPv4 address to serve the HTML output on. A character scalar. Only relevant for <code>format = "html"</code>.</p></dd>


<dt id="arg-port">port<a class="anchor" aria-label="anchor" href="#arg-port"></a></dt>
<dd><p>TCP port number to serve the HTML output on. An integer scalar. Note that on most Unix-like systems including Linux and macOS, port numbers
below 1024 require root privileges. If the specified <code>port</code> is already occupied, a randomly chosen port between 1025–49151 is used instead. Only relevant
for <code>format = "html"</code>.</p></dd>


<dt id="arg-in-rstudio-viewer">in_rstudio_viewer<a class="anchor" aria-label="anchor" href="#arg-in-rstudio-viewer"></a></dt>
<dd><p>Whether to open the output file in the RStudio viewer pane if possible, i.e. RStudio <a href="https://rstudio.github.io/rstudioapi/reference/isAvailable.html" class="external-link">is available</a>. If
<code>FALSE</code> or RStudio is unavailable, the output file is opened in the system's default application for <code>output_format</code> via <code><a href="https://r-lib.github.io/xopen/reference/xopen.html" class="external-link">xopen::xopen()</a></code> instead. Note
that only PDFs within the <span style="R">R</span> session temporary directory can be opened in RStudio's viewer pane, others are automatically passed to the system's default
PDF viewer.</p></dd>

</dl></div>
    <div class="section level2">
    <h2 id="value">Value<a class="anchor" aria-label="anchor" href="#value"></a></h2>
    <p>For <code>format = "html"</code>, a <code><a href="https://rdrr.io/pkg/httpuv/man/WebServer.html" class="external-link">httpuv::WebServer</a></code> object. For <code>format = "pdf"</code>, the path to the PDF file. Invisibly in both cases.</p>
    </div>
    <div class="section level2">
    <h2 id="see-also">See also<a class="anchor" aria-label="anchor" href="#see-also"></a></h2>
    <div class="dont-index"><p>Other functions to handle report's content:
<code><a href="report_gen_part_regional.html">report_gen_part_regional</a>()</code>,
<code><a href="report_render.html">report_render</a>()</code>,
<code><a href="report_render_partly.html">report_render_partly</a>()</code></p></div>
    </div>

    <div class="section level2">
    <h2 id="ref-examples">Examples<a class="anchor" aria-label="anchor" href="#ref-examples"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span class="r-in"><span><span class="kw">if</span> <span class="op">(</span><span class="cn">FALSE</span><span class="op">)</span> <span class="op">{</span> <span class="co"># \dontrun{</span></span></span>
<span class="r-in"><span><span class="co"># only works from inside the rdb.report repo</span></span></span>
<span class="r-in"><span><span class="co">## start server</span></span></span>
<span class="r-in"><span><span class="va">s</span> <span class="op">&lt;-</span> <span class="fu">rdb.report</span><span class="fu">::</span><span class="fu">report_view</span><span class="op">(</span><span class="op">)</span></span></span>
<span class="r-in"><span></span></span>
<span class="r-in"><span><span class="co">## stop server</span></span></span>
<span class="r-in"><span><span class="va">s</span><span class="op">$</span><span class="kw">stop</span><span class="op">(</span><span class="op">)</span><span class="op">}</span> <span class="co"># }</span></span></span>
</code></pre></div>
    </div>
  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann, Uwe Serdült.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.9000.</p>
</div>

    </footer></div>





  </body></html>

